Page MenuHomePhabricator

add ability to print statistics for eo files
Closed, ResolvedPublic

Description

Things like number of methods/properties would be nice to see, also number of implemented methods/properties from inherited classes/mixins. I wonder if there should be a separate exe (using the same lexer) which just does things like this?

Related Objects

Mentioned Here
P258 script
zmike created this task.Feb 14 2018, 11:24 AM
zmike triaged this task as TODO priority.
q66 added a comment.Feb 14 2018, 11:46 AM

I think this would be a good fit for a Lua script.

zmike added a comment.Feb 14 2018, 1:19 PM

Also a way to print all of the inherited classes/interfaces/etc for a given file

zmike added a comment.Feb 16 2018, 6:48 AM

I think I want something that can easily be used with shell scripting for analysis, so here's some details on abilities that I would like to have:

Info

Prints info about a given eo file

  • default output: classes/interfaces/mixins/etc provided

(C) My.Class.Name
(M) My.Mixin.Name
(I) My.Interface.Name

  • detailed output: default output + methods/properties provided

(C) My.Class.Name
├ (M) method_name
├ (P) property_name

  • inherited output: default output + inheritance

(c) My.Inherited.Class.Name
(m) My.Inherited.Mixin.Name
(i) My.Inherited.Interface.Name

  • inherited detailed output: detailed output + inherited methods+properties

(C) My.Class.Name
├ (M) method_name
├ (P) property_name
(c) My.Inherited.Class.Name
╠ (m) inherited_method_name
╠ (p) inherited_property_name

  • inherited detailed implemented output: detailed output + inherited implemented methods+properties

same as above, but everything inherited is filtered

zmike closed this task as Resolved.Jan 8 2019, 11:24 AM